> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit logs for an invoice

> Paged audit-log history for an invoice: state transitions, reminder outcomes, and the actor behind each step.



## OpenAPI

````yaml /api-reference/openapi.json get /invoices/{invoiceId}/audit-logs
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /invoices/{invoiceId}/audit-logs:
    get:
      tags:
        - Invoices
      summary: List audit logs for an invoice
      description: >-
        Paged audit-log history for an invoice: state transitions, reminder
        outcomes, and the actor behind each step.
      parameters:
        - name: invoiceId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Cursor
          in: query
          schema:
            type: string
        - name: Limit
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
            default: 50
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfInvoiceAuditLogResponse'
        '400':
          description: Pagination.InvalidCursor — the cursor value is invalid
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Invoice.NotFound — no invoice with that id for this organisation
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PagedResponseOfInvoiceAuditLogResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceAuditLogResponse'
        meta:
          $ref: '#/components/schemas/PagedResponseMeta'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    InvoiceAuditLogResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        invoiceId:
          type: string
          format: uuid
        organisationId:
          type: string
          format: uuid
        actorId:
          type:
            - 'null'
            - string
          format: uuid
        actorType:
          $ref: '#/components/schemas/ActorType'
        fromState:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/InvoiceState'
        toState:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/InvoiceState'
        action:
          $ref: '#/components/schemas/InvoiceEventType'
        createdAt:
          type: string
          format: date-time
    PagedResponseMeta:
      type: object
      properties:
        cursors:
          $ref: '#/components/schemas/PagedResponseCursors'
    ActorType:
      enum:
        - User
        - System
    InvoiceState:
      enum:
        - Draft
        - Sent
        - Paid
        - Void
        - PartiallyPaid
        - Credited
    InvoiceEventType:
      enum:
        - InvoiceCreated
        - InvoiceStateChanged
        - InvoiceSent
        - InvoicePaid
        - InvoiceVoided
        - InvoiceReminderSent
        - InvoiceReminderFailed
        - CreditNoteIssued
    PagedResponseCursors:
      type: object
      properties:
        current:
          type:
            - 'null'
            - string
        next:
          type:
            - 'null'
            - string
        previous:
          type:
            - 'null'
            - string

````